import React from 'react'

interface CheckboxProps extends React.InputHTMLAttributes<HTMLInputElement> {
    label: string
    id: string
}

const Checkbox: React.FC<CheckboxProps> = ({
    label,
    id,
    className,
    ...props
}) => {
    return (
        <div className="flex items-center mb-4">
            <input
                id={id}
                type="checkbox"
                className={`h-4 w-4 rounded border-gray-300 text-sky-600 focus:ring-sky-500 ${className || ''}`}
                {...props}
            />
            <label htmlFor={id} className="ml-2 block text-sm text-gray-900">
                {label}
            </label>
        </div>
    )
}

export default Checkbox
