import { z } from 'zod'

export const loginSchema = z.object({
    identifier: z.string().min(1, { message: 'Email or Username is required' }), // Can be email or username
    password: z.string().min(1, { message: 'Password is required' }),
    saveLogin: z.boolean().optional().default(false),
    savePassword: z.boolean().optional().default(false),
})

export type LoginFormData = z.infer<typeof loginSchema>
